#*************************************************************
# Progamm:			planeten_temperaturen
# Sinn des Programms: 		Berechnung der Oberflächentemperaturen der Planeten	
# Sinn der Einheit  :		Recheneinheit
# Name dieser Datei:		rechner.py
# Versionsnummer:		1
# Wird aufgerufen von:		planeten_temperaturen_haupt.py
# Ruft auf:			-
# Nummer im Programmpaket:	4
# von:				5			
# Autor: 			Armin Ulrich
# Erster Lauf: 			12.12.2020
# Letzte Änderung: 		11.02.2021
#*************************************************************

import numpy as np
import math

class Rechner:
  #Konstruktormethode
  def __init__(self):		
    print("Rechnerobjekt erzeugt")
    
  
  #Destruktormethode
  def __del__(self):	
    print("Rechnerobjekt entfernt")  
 
  
  def temperatur_rechner(self,T_Sonne, R_Sonne, m, nummer, planet, geom_albedo, sphär_albedo, a):
    try:
      self.T  = list(range(m))
      #print("L_sonne:",L_sonne,"stb_konst:", sigma)
      #print(nummer, planet, geom_albedo, sphär_albedo, r)
      #for i in nummer:
      #  T = math.sqrt(math.sqrt(i))
      #  print(i, T)
      print("m:",m)
      for i in range(m):
        self.T[i] = math.pow((1.0 - sphär_albedo[i]) ,1./4.)*T_Sonne*math.sqrt(R_Sonne/a[i])/math.sqrt(2.0)
        print(i, self.T[i])
      return True
    except:
      return False  
